### Method

# Shell Screenshot screenshot_stage_to_content_finish

#### Declaration [src]

    ClutterContent*
    shell_screenshot_screenshot_stage_to_content_finish (
      ShellScreenshot* screenshot,
      GAsyncResult* result,
      float* scale,
      ClutterContent** cursor_content,
      graphene_point_t* cursor_point,
      float* cursor_scale,
      GError** error
    )

#### Description [src]

Finish the asynchronous operation started by `shell_screenshot_screenshot_stage_to_content()` and obtain its result.

#### Parameters

`result`

  Type: `GAsyncResult`

  The `GAsyncResult` that was provided to the callback.

  The data is owned by the caller of the method.

`scale`

  Type: `float*`

  Location to store the content scale.

  The argument will be set by the function.
  The argument can be `NULL`.

`cursor_content`

  Type: `ClutterContent`

  Location to store the cursor content.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the data, and is responsible for freeing it.

`cursor_point`

  Type: `graphene_point_t`

  Location to store the point at which to draw the cursor content.

  The argument will be set by the function.
  The argument can be `NULL`.
  The data is owned by the instance.

`cursor_scale`

  Type: `float*`

  Location to store the cursor scale.

  The argument will be set by the function.
  The argument can be `NULL`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `ClutterContent`

The `ClutterContent`, or NULL.

The caller of the method takes ownership of the data, and is responsible for freeing it.